<%inherit file="dialog.tpl"/>

<%block name="blkDialogId">diaLicenseKeyDone</%block>

<%block name="blkDialogHeader">
  Licensing Activation Status
</%block>

<%block name="blkDialogContent">

  % if licenseInfo['ineligibleVersion']:

    <div class="dialog-text-center red">
      Your Verge3D ${licenseInfo['type'].title()} maintenance subscription expired on ${licenseInfo['validUntil'].date().strftime('%d %B %Y')}.
    </div>

    <div class="dialog-text">
      Please consider <a href="https://www.soft8soft.com/verge3d-subscription-renewal/" target="_blank" class="colored-link">renewing</a> your subscription or <a href="https://www.soft8soft.com/verge3d-download-archive/" target="_blank" class="colored-link">stick</a> to Verge3D version issued prior the expiration date.
    </div>

    <button id="diaLicenseKeyDoneOk" class="button">Ok</button>

  % else:

    <div class="dialog-text">
      Your Verge3D ${licenseInfo['type'].title()} License has been activated.
    </div>
    <div class="dialog-text-center">
      Thank you for choosing Verge3D!
    </div>

    <button id="diaLicenseKeyDoneOk" class="button">Awesome!</button>

  % endif
</%block>

<%block name="blkDialogScript">
  diaLicenseKeyDoneClose.addEventListener('click', function() {
      destroyDialog('diaLicenseKeyDone');
      document.location.reload(true);
  });

  diaLicenseKeyDoneOk.addEventListener('click', function() {
      destroyDialog('diaLicenseKeyDone');
      document.location.reload(true);
  });

  focusElem('diaLicenseKeyDoneOk');
</%block>
